# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.OrbitalShuttleData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.OrbitalShuttleData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.OrbitalShuttleData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# OrbitalShuttleData 

###
Companion object OrbitalShuttleData

#### final case class OrbitalShuttleData(faction: types.PlanetSideEmpire.Value, pos: Option[PlacementData] = None) extends ConstructorData with Product with Serializable

A representation of the high altitude rapid transport (HART) shuttle that ferries the player into battle. This `Codec` is different depending on whether the shuttle is the child of a parent or independent.
Three HART shuttles dock with the three HART buildings in the three sanctuaries for short periods on a timed schedule. When one is landed, players may board the shuttle using designated hallways in the lobbies of the HART building. After the shuttle leaves the sanctuary, it transports those players up into orbit above the continents. The shuttle docks again, this time with space stations that orbit the planet. It allows infantry to use droppods to land on the continents by pinpointing locations on that continent's tactical map.
The previous explanation is smoke and mirrors nonsense. Lore-wise, the separation of Auraxis during the Bending rendered it impossible for the shuttle to visit all of the continents. The orbital stations - even if they multiplied one per planet - don't really exist. (They almost existed but all assets for them were cut from the game.) The HART shuttle also isn't a traditional vehicle. It isn't even tangible. The game just treats it like a vehicle for the purpose of allowing players to access the controllable droppod system.
When accessible to the player, the shuttle has an access point called a "trunk." Trying to access it yields the brief message "OSMustBeDockedToMount."

faction

  empire the object is affiliated with

pos

  optional; where and how the object is oriented

Source
  OrbitalShuttleData.scala
See also

  `DroppodLaunchRequestMessage`

  `DroppodLaunchResponseMessage`

  `OrbitalShuttleTimeMsg`

Linear Supertypes
Serializable, Product, Equals, ConstructorData, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrbitalShuttleData
2. Serializable
3. Product
4. Equals
5. ConstructorData
6. StreamBitSize
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new OrbitalShuttleData(faction: types.PlanetSideEmpire.Value, pos: Option[PlacementData] = None)

   faction

     empire the object is affiliated with

   pos

     optional; where and how the object is oriented

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     OrbitalShuttleData → StreamBitSize
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val faction: types.PlanetSideEmpire.Value
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  val pos: Option[PlacementData]
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConstructorData

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped